XkbAddGeomKeyAlias(3)

NAME
XkbAddGeomKeyAlias - Add one key alias to an existing keyboard geometry description

SYNOPSIS
XkbKeyAliasPtr XkbAddGeomKeyAlias ( geom, alias, real )
      XkbGeometryPtr geom;
      char * alias;
      char * real;

ARGUMENTS

- geom
    geometry to be updated

- alias
    alias to be added

- real
    real name to be bound to the new alias

DESCRIPTION

Xkb provides functions to add a single new element to the top-level keyboard geometry. In each case the num_ * fields of the corresponding structure is incremented by 1. These functions do not change sz_* unless there is no more room in the array. Some of these functions fill in the values of the element's structure from the arguments. For other functions, you must explicitly write code to fill the structure's elements. The top-level geometry description includes a list of geometry properties. A geometry property associates an arbitrary string with an equally arbitrary name. Programs that display images of keyboards can use geometry properties as hints, but they are not interpreted by Xkb. No other geometry structures refer to geometry properties. XkbAddGeomKeyAlias adds one key alias with the value alias to the geometry geom, and associates it with the key whose real name is real. XkbAddGeomKeyAlias returns NULL if any of the parameters is empty or if it was not able to allocate space for the alias. To allocate space for an arbitrary number of aliases, use the XkbAllocGeomKeyAliases function.

STRUCTURES

    typedef struct {
        char            real[XkbKeyNameLength];   /* this key name must be in the keys array */
        char            alias[XkbKeyNameLength];  /* symbolic key name as alias for the key */
    } XkbKeyAliasRec,*XkbKeyAliasPtr;

SEE ALSO
XkbAllocGeomKeyAliases(3)